List currencies
curl --request GET \
--url https://api-sandbox.endl.io/api/v0/currencies \
--header 'API-KEY: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/currencies"
headers = {
"Api-Version": "<api-version>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', 'API-KEY': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.endl.io/api/v0/currencies")
.header("Api-Version", "<api-version>")
.header("API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Version"] = '<api-version>'
request["API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"source": {
"currency": [
{
"id": 113,
"name": "USD Coin",
"code": "USDC",
"sourceActive": true,
"destinationActive": true,
"country": null,
"symbol": "USDC",
"countryCode": null,
"isCrypto": true,
"providerId": 2
},
{
"id": 106,
"name": "US Dollar",
"code": "USD",
"sourceActive": true,
"destinationActive": true,
"country": "United States",
"symbol": "$",
"countryCode": "USA",
"isCrypto": false,
"providerId": 2
}
]
},
"destination": {
"currency": [
{
"id": 106,
"name": "US Dollar",
"code": "USD",
"sourceActive": true,
"destinationActive": true,
"country": "United States",
"symbol": "$",
"countryCode": "USA",
"isCrypto": false,
"providerId": 2
},
{
"id": 110,
"name": "Vietnamese Dong",
"code": "VND",
"sourceActive": false,
"destinationActive": true,
"country": "Vietnam",
"symbol": "₫",
"countryCode": "VNM",
"isCrypto": false,
"providerId": 2
}
]
}
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"field": "amount"
}
]
}{
"data": null,
"code": 401,
"message": "Authentication Failed!",
"status": "Error",
"errors": [
{
"code": "401",
"message": "Authentication Failed!",
"field": "Authentication Failed!"
}
]
}{
"data": null,
"code": 403,
"message": "API key does not have the required permission",
"status": "Error",
"errors": [
{
"code": "403",
"message": "API key does not have the required permission",
"field": "API key does not have the required permission"
}
]
}{
"code": 404,
"message": "Resource not found",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "NOT_FOUND",
"message": "Resource not found",
"field": null
}
]
}{
"code": 409,
"message": "The request conflicts with the current state of the resource",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "CONFLICT",
"message": "The request conflicts with the current state of the resource",
"field": null
}
]
}{
"data": null,
"code": 429,
"message": "Rate limit exceeded, please retry later",
"status": "Error",
"errors": [
{
"code": "429",
"message": "Rate limit exceeded, please retry later",
"field": "Rate limit exceeded, please retry later"
}
]
}{
"code": 500,
"message": "Unexpected error",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "INTERNAL_ERROR",
"message": "Unexpected error",
"field": null
}
]
}{
"data": null,
"code": 502,
"message": "Upstream service error",
"status": "Error",
"errors": null
}{
"code": 503,
"message": "Credentials could not be verified right now",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "DIRECTORY_UNAVAILABLE",
"message": "Credentials could not be verified right now",
"field": null
}
]
}List currencies
Returns the currencies Endl supports, split into the ones a transfer can be funded in and the ones it can pay out in. The ids are numeric database ids, not prefixed reference ids — send them back as currencyId. No query parameters.
GET
/
api
/
v0
/
currencies
List currencies
curl --request GET \
--url https://api-sandbox.endl.io/api/v0/currencies \
--header 'API-KEY: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/currencies"
headers = {
"Api-Version": "<api-version>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', 'API-KEY': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.endl.io/api/v0/currencies")
.header("Api-Version", "<api-version>")
.header("API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Version"] = '<api-version>'
request["API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"source": {
"currency": [
{
"id": 113,
"name": "USD Coin",
"code": "USDC",
"sourceActive": true,
"destinationActive": true,
"country": null,
"symbol": "USDC",
"countryCode": null,
"isCrypto": true,
"providerId": 2
},
{
"id": 106,
"name": "US Dollar",
"code": "USD",
"sourceActive": true,
"destinationActive": true,
"country": "United States",
"symbol": "$",
"countryCode": "USA",
"isCrypto": false,
"providerId": 2
}
]
},
"destination": {
"currency": [
{
"id": 106,
"name": "US Dollar",
"code": "USD",
"sourceActive": true,
"destinationActive": true,
"country": "United States",
"symbol": "$",
"countryCode": "USA",
"isCrypto": false,
"providerId": 2
},
{
"id": 110,
"name": "Vietnamese Dong",
"code": "VND",
"sourceActive": false,
"destinationActive": true,
"country": "Vietnam",
"symbol": "₫",
"countryCode": "VNM",
"isCrypto": false,
"providerId": 2
}
]
}
}{
"code": 400,
"message": "Validation failed",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"field": "amount"
}
]
}{
"data": null,
"code": 401,
"message": "Authentication Failed!",
"status": "Error",
"errors": [
{
"code": "401",
"message": "Authentication Failed!",
"field": "Authentication Failed!"
}
]
}{
"data": null,
"code": 403,
"message": "API key does not have the required permission",
"status": "Error",
"errors": [
{
"code": "403",
"message": "API key does not have the required permission",
"field": "API key does not have the required permission"
}
]
}{
"code": 404,
"message": "Resource not found",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "NOT_FOUND",
"message": "Resource not found",
"field": null
}
]
}{
"code": 409,
"message": "The request conflicts with the current state of the resource",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "CONFLICT",
"message": "The request conflicts with the current state of the resource",
"field": null
}
]
}{
"data": null,
"code": 429,
"message": "Rate limit exceeded, please retry later",
"status": "Error",
"errors": [
{
"code": "429",
"message": "Rate limit exceeded, please retry later",
"field": "Rate limit exceeded, please retry later"
}
]
}{
"code": 500,
"message": "Unexpected error",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "INTERNAL_ERROR",
"message": "Unexpected error",
"field": null
}
]
}{
"data": null,
"code": 502,
"message": "Upstream service error",
"status": "Error",
"errors": null
}{
"code": 503,
"message": "Credentials could not be verified right now",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "DIRECTORY_UNAVAILABLE",
"message": "Credentials could not be verified right now",
"field": null
}
]
}Authorizations
Your partner API key.
Headers
The API version this request targets. Required on every /api/v0/* call. Format YYYY-MM.<release>; 2026-09.1 is the latest. The version that served the request is echoed back on the response. Missing, malformed or unsupported values are rejected with 400.
Pattern:
^\d{4}-\d{2}\.\d+$